package repos

import "gralias/models"

type RoomsRepo interface {
	ListRooms() ([]models.Room, error)
	GetRoomByID(id string) (*models.Room, error)
	CreateRoom(room *models.Room) error
	DeleteRoomByID(id string) error
}

// provider implementation
func (p RepoProvider) ListRooms() ([]models.Room, error) {
	return nil, nil
}
